<?php
$customer = $block->customerSession->getCustomer();

$billingAddress = $block->getDefaultBillingAddress($customer->getData('entity_id'));
$addressEditUrl = '';
if($billingAddress){
	$addressEditUrl = $this->getUrl('customer/address/edit', ['id' => $billingAddress->getId()]);
}

$addressBookUrl = $this->getUrl('customer/address');
$orderCount = count($block->getOrders());
?>

<div class="account-home">
	<h2 class="account-title">Account Home</h2>
	<div class="row">
		<div class="col-sm-8 col-md-7 account-home-data">
			<div class="row">
				<div class="col-sm-3"> <strong>Name:</strong> </div>
				<div class="col-sm-9"><?php echo $customer->getData('firstname'); ?> <?php echo $customer->getData('lastname'); ?></div>
			</div>
			<div class="row">
				<div class="col-sm-3"> <strong>Primary Address:</strong> </div>
				<div class="col-sm-9">
					<?php
						if($billingAddress){
						echo preg_replace("/<br\W*?\/>/", "", $block->getDefaultBillingAddressHtml($billingAddress)); } else {
						echo "Not Available";
					}?>
					

					</div>
			</div>
		</div>
		<div class="col-sm-4 col-md-3 col-md-offset-2 account-home-content">
			<div class="order-box">
				<p class="order-box-title">MY ORDERS</p>
				<span class="order-box-counter"><?php echo $orderCount; ?></span>
			</div>
			<div class="order-btn">
				<?php if($addressEditUrl) {?>
				<a class="btn btn-primary" href="<?php echo $addressEditUrl; ?>">EDIT PRIMARY ADDRESS</a>
				<?php } ?>
				<a class="btn btn-primary" href="<?php echo $addressBookUrl; ?>">EDIT ADDRESS BOOK</a>
			</div>
		</div>
	</div>
</div>
